Install google Toolbar on Firefox 5 and Firefox 6

By |

Sponsored

Google simply avoided firefox from its toolbar saying that the features provided by the toolbar are now available on browsers. But we cannot sync the bookmarks, view pagerank and more are not available without the google toolbar in firefox. And firefox started its rapid release schedule. The toolbar is supported upto firefox 4.

Lot of people are not upgrading the firefox 3.6 due to drop of google toolbar.

so how to install google toolbar firefox 5 and firefox 6

There are two  methodes

Method one:

To install older add-ons,

  • First, you need to install an add-on named “Add-on compatibility reporter”.
  • Then, restart Firefox as prompted. This will enable the add-on.
  • Next, you need to restart Firefox once more. Finally, this allows you to install add-ons.
  • In the browser address bar type in “about:addons” to get the Add-on Manager.

Now you can install any older add-on as you could earlier.

The add-on compatibility reporter is used to report add-on compatibility. So, if you are using the Compatibility Reporter add-on to enable older add-ons, please report their compatibility. This will help Mozilla improve your user experience in return.

Method two :

If you have enough courage then you can hack the google toolbar extension and make it works with firefox 5,6 and more…

By doing this you will get the toolbar working in firefox 5 and firefox 6. There is no major change in the code base with firefox 4 and firefox 5 and firefox 6. Some people called firefox 5 as firefox 4.1 release. So if the google toolbar works with firefox 4 then it defenitly works will firefox 5 and firefox 6.

Just download google toolbar for firefox 4 using another browser which is not firefox. You will get an xpi file. It can be opened with your archive manager 7zip file manager. Then edit the file install.rdf file

find the line

<em:minVersion>2.0</em:minVersion>
<em:maxVersion>4.0.*</em:maxVersion>

change 4.0 to 6.0 then save. The 7zip file manager will ask you to update the archive. click yes.

Now you can install this xpi in firefox 6. Just open this file with firefox. Then it will ask to install the extension. Problem solved.

Sponsored


Tags: , , , , , , , , ,


comments powered by Disqus